org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPFunctionTemplate

All Superinterfaces:
  IBinding, ICPPBinding, ICPPFunction, ICPPTemplateDefinition, IFunction

    public interface ICPPFunctionTemplate
    extends ICPPFunction, ICPPTemplateDefinition

Interface for function templates

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPFunction

`getDeclaredType, getExceptionSpecification, getParameters, getRequiredArgumentCount, getType, hasParameterPack, isConstexpr, isDeleted, isExternC, isInline, isMutable`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IFunction

`getFunctionScope, isAuto, isExtern, isNoReturn, isRegister, isStatic, takesVarArgs`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPTemplateDefinition

`getTemplateParameters`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`